#ifndef _Handle_PGeom_Circle_HeaderFile
#define _Handle_PGeom_Circle_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom_Conic_HeaderFile
#include <Handle_PGeom_Conic.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom_Conic);
class PGeom_Circle;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom_Circle);

class Handle(PGeom_Circle) : public Handle(PGeom_Conic) {
  public:

    Handle(PGeom_Circle)():Handle(PGeom_Conic)() {} 
    Handle(PGeom_Circle)(const Handle(PGeom_Circle)& aHandle) : Handle(PGeom_Conic)(aHandle) 
     {
     }

    Handle(PGeom_Circle)(const PGeom_Circle* anItem) : Handle(PGeom_Conic)((PGeom_Conic *)anItem) 
     {
     }

    Handle(PGeom_Circle)& operator=(const Handle(PGeom_Circle)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom_Circle)& operator=(const PGeom_Circle* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom_Circle* operator->() const 
     {
      return (PGeom_Circle *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom_Circle) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
